
GammaLib - Feature #3074

Add methods to calculate flux and energy flux errors from model parameter errors

11/30/2019 09:38 AM - Tibaldo Luigi

Status: Closed Start date: 11/30/2019

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Related issues:

Related to GammaLib - Action # 3439: Add GSkyModel::flux() method that return... Closed 11/07/2020

History

#1 - 01/28/2020 10:06 AM - Knödlseder Jürgen

- Target version set to 1.7.0

#2 - 07/09/2020 03:18 PM - Knödlseder Jürgen

- Target version changed from 1.7.0 to 2.0.0

Feature moved to next release.

#3 - 11/08/2020 11:08 AM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

Methods should be implemented at GModelSky level in analogy to the flux() and eflux() methods. Gaussian error propagation should be used based

and numerical gradient evaluation. Here the interface of the methods to be implemented:

double flux_error(const GEnergy& emin, const GEnergy& emax) const;

double flux_error(const GSkyRegion& region, const GEnergy& emin, const GEnergy& emax) const;

double eflux_error(const GEnergy& emin, const GEnergy& emax) const;

double eflux_error(const GSkyRegion& region, const GEnergy& emin, const GEnergy& emax) const;

#4 - 11/08/2020 11:08 AM - Knödlseder Jürgen

- Related to Action #3439: Add GSkyModel::flux() method that returns correct flux for diffuse cube models added

#5 - 11/08/2020 05:40 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 90
The methods were implemented.

#6 - 11/08/2020 05:40 PM - Knödlseder Jürgen

- Status changed from Closed to Pull request

#7 - 11/08/2020 06:30 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

Code merged into devel
